apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: curio
  namespace: argocd
spec:
  project: agentic-os
  source:
    repoURL: http://192.168.8.248:3000/deepkoluguri/curaflow.git
    targetRevision: master
    path: k8s
  destination:
    server: https://kubernetes.default.svc
    namespace: curio
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
    - CreateNamespace=true
